## handbrake 1.7.2+ds1

=== gtk/meson_options.txt ===
option('extra-libdirs',
       type: 'array',
       value: [],
       description: 'Extra directories to search for libraries')

option('fdk-aac',
       type: 'feature',
       value: 'disabled',
       description: 'Enable FDK AAC encoder')

option('flatpak',
       type: 'boolean',
       value: false,
       description: 'Enable Flatpak packaging')

option('gstreamer',
       type: 'feature',
       value: 'disabled',
       description: 'Disable gstreamer (live preview)')

option('gtk4',
       type: 'boolean',
       value: false,
       description: 'Enable building with GTK4')

option('hb-dir',
       type: 'string',
       value: '',
       description: 'Prefix of libhb install directory')

option('libdovi',
       type: 'feature',
       value: 'disabled',
       description: 'Enable libdovi for Dolby Vision support')

option('mf',
       type: 'feature',
       value: 'disabled',
       description: 'Enable MediaFoundation encoder')

option('numa',
       type: 'feature',
       value: 'disabled',
       description: 'Enable x265 NUMA support')

option('qsv',
       type: 'feature',
       value: 'disabled',
       description: 'Enable QSV encoder')

option('x265',
       type: 'feature',
       value: 'disabled',
       description: 'Enable x265 encoder')

## handbrake 0.9.8+dfsg1

=== debian/changelog ===
handbrake (0.9.8+dfsg1-1~19.gbpc8b9ba~ubuntu12.10) quantal-backports; urgency=low

  * No-change backport to Quantal (LP: #1061691)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 15 Oct 2012 11:44:16 +0100

handbrake (0.9.8+dfsg1-1~19.gbpc8b9ba) experimental; urgency=low

  * Team upload.

  [ Rogério Brito ]
  * Note: This is an almost complete rework of the packaging included in
    previous iterations of handbrake. This changelog reflects only a
    fraction of the work that went into make it suitable for Debian and
    involved the work of many people. For the complete list of changes,
    we kindly refer you to the git repository for all the details.
  * Many janitorial fixes to the packaging, including:
    + Force bug reporting to go Debian's BTS.
    + Convert the package to format 3.0 (quilt).
    + Add me as Maintainer.
    + Add Reinhard Tartler to Uploaders.
    + Install upstream's changelog.
    + Add DEP-3 metadata to patches.
    + First approximation of a DEP-5-like format.
    + Use max xz compression with 'extreme' strategy for debs.
    + Add versioned pre-depends on dpkg for xz compression.
  * Mark patches that were forwarded upstream.
  * Fix build-dependencies/compilation fixes:
    + Include libdbus-glib-1-dev, libgtk-2.0-dev.
    + Remove unused libxvidcore-dev, libfaac-dev.
    + Don't use external sources for libraries that we already have
      in debian, by including (but not limited to):
      libx264-dev, libbluray-dev, libdvdnav-dev, libdvdread-dev,
      libmpeg2-4-dev, various components of libav.
      Thanks to Daniel Baumann for uploading suitable, new versions
      libdvd{nav,read} in time.
  * debian/patches:
    + 0001-Remove-encoding-...:
      Remove encoding indication from desktop file, spotted by lintian.
    + 0002-Fix-include-with-the-system-s-libav:
      Use Debian's libav instead of ffmpeg 0.7 downloaded and patched
      at build time. Thanks to Fabian Greffrath for the cleaner solution.
    + 0003-Remove-embedded-...:
    + 0004-Enable-compilation-on-Debian-arches...:
      Adapt kFreeBSD compilation patch to work with the HURD. Thanks to
      Pino Toscano for the review and modifications.
    + 0005-libhb-Fix-compilation-with-mp4v2-v1.9.1-...:
    + 0006-LinGUI-Allow-user-to-pass-libavcodec-settings-...:
    + 0007-Fix-for-compilation-with-Debian-s-libbluray:
    + 0008-Fix-for-compilation-with-Debian-s-libdca:
    + 0010-Remove-FAAC-dependency:
      Patch to remove use of FAAC---it is non-free and there are good
      enough solutions for use as substitutes.
    + 0011-First-try-at-removing-some-of-mp4v2:
      First try at removing some of mp4v2---linking mp4v2 against
      handbrake results in undistributable binaries, which poses a problem
      for Debian.
  * debian/patches:
    + Add 0014-Use-unpatched-a52.patch for use with future releases.
  * debian/patches:
    + Add 0015-use-metadata-reading-from-libav.patch to avoid using mp4v2
      and, therefore, a license problem with linking MPL1.1 code.
  * Wrap long lines in the changelog.
  * debian/patches: Add patch to fix memcpy with overlapping memory regions.
  * Imported Upstream version 0.9.8
  * debian/patches:
    + 0001-Remove-encoding-...: remove, applied upstream.
    + 0004-Enable-compilation-on-Debian-arches...: partially applied
      upstream, adjust.
    + 0006-LinGUI-Allow-user-to-pass-libavcodec-settings-...: remove,
      applied upstream.
    + 0011-First-try-at-removing-some-of-mp4v2: partially applied
      upstream, adjust.
    + 0012-FLAGS.patch: remove, applied upstream.
    + Refresh remaining patches.
    + 0016-...: Use unpatched libmkv for the moment.
  * debian/rules: Simplify, after changes accepted upstream.

  [ Andres Mejia ]
  * Change Priority to optional.
  * Add myself to Uploaders field.
  * Add default gbp options to enable pristine-tar.

  [ Reinhard Tartler ]
  * fix my email address
  * Upload to experimental
  * Remove ccache diversion
  * Prune the following subdirectories from the upstream tarball:
     - contrib/
     - download/
     - macosx/
     - win/

  [ Fabian Greffrath ]
  * Bring master branch back to pristine upstream branch + patches
  * Add versions to build-dependencies on libdvdnav-dev and libdvdread-dev.
  * Consider CFLAGS, CPPFLAGS and LDFLAGS in libhb build and fix format
    string security errors.
  * Filter optimization and debug flags out of dpkg-buildflags.
  * Fix lintian warnings WRT debian/changelog.
  * Some cosmetic changes to debian/control.
  * Simplify debian/patches/0003-Remove-embedded-downloaded-....patch
  * Set LDFLAGS in debian/rules instead of hard-coding them.
  * Simplify debian/handbrake-gtk.install.
  * Improvements to 0010-Remove-FAAC-dependency.patch:
  * Get rid of libmp4v2 and thus MP4 muxing and fall back to MKV instead.
  * Mention in the package description that we have ripped out libfaac and
    libmp4v2.
  * Add some copyright holders and LGPL-licensed files to debian/copyright.
  * Add debian/README.source with instructions and reasons to repackage
    the source tarball when handbrake gets eventually uploaded to Debian.
  * Add myself to Uploaders.
  
 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Sep 2012 18:19:41 +0200

handbrake (0.9.6-0.1) unstable; urgency=low

  * Rebuild against libx264-122.
  * Move to debhelper 9 and add a new patch 04_format-security to fix the
    build with hardened flags.

 -- Christian Marillat <marillat@debian.org>  Sat, 17 Mar 2012 17:17:22 +0100

handbrake (0.9.6-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 29 Feb 2012 08:44:28 +0100

handbrake (0.9.5-0.10) unstable; urgency=low

  * Rebuild against libx264-120.

 -- Christian Marillat <marillat@debian.org>  Wed, 25 Jan 2012 11:07:21 +0100

handbrake (0.9.5-0.9) unstable; urgency=low

  * New patch 04_use-TEMP from git to use TEMP or TEMPDIR environment


=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Rogério Brito <rbrito@ime.usp.br>,
 Reinhard Tartler <siretart@tauware.de>,
 Andres Mejia <amejia@debian.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Homepage: http://www.handbrake.fr/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/handbrake.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/handbrake.git;a=summary
Standards-Version: 3.9.3
Build-Depends:
 automake,
 ccache,
 debhelper (>= 9),
 intltool,
 liba52-0.7.4-dev,
 libass-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libbluray-dev,
 libbz2-dev,
 libdbus-glib-1-dev,
 libdca-dev,
 libdvdnav-dev (>= 4.2.0+20120524),
 libdvdread-dev (>= 4.2.0+20120521),
 libgstreamer-plugins-base0.10-dev,
 libgstreamer0.10-dev,
 libgtk2.0-dev,
 libgudev-1.0-dev [linux-any],
 libmkv-dev (>= 0.6.5.1),
 libmp3lame-dev,
 libmpeg2-4-dev,
 libnotify-dev (>= 0.7.3),
 libsamplerate0-dev,
 libswscale-dev,
 libtheora-dev,
 libtool,
 libvorbis-dev,
 libwebkit-dev,
 libx264-dev,
 python,
 wget,
 yasm

Package: handbrake-cli
Architecture: any-amd64 any-i386 powerpc
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or OGG formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This version of handbrake has been modified for inclusion in Debian.
 It does neither support audio encoding to AAC via faac nor MP4 format
 muxing via libmp4v2, it falls back to the MKV format instead.
 .
 This package contains the command-line variant, HandBrakeCLI.

Package: handbrake-gtk
Architecture: any-amd64 any-i386 powerpc
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer0.10-ffmpeg,
 gstreamer0.10-x
Description: versatile DVD ripper and video transcoder (GTK GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or OGG formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This version of handbrake has been modified for inclusion in Debian.
 It does neither support audio encoding to AAC via faac nor MP4 format
 muxing via libmp4v2, it falls back to the MKV format instead.
 .
 This package contains the graphical variant, ghb.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS   2>/dev/null | sed -e 's/-g\|-O2//g')
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null | sed -e 's/-g\|-O2//g')
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	./configure --prefix=/usr --build build \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9 -Sextreme

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## handbrake 0.9.8+dfsg2+git0b44ec

=== debian/changelog ===
handbrake (0.9.8+dfsg2+git0b44ec-2) experimental; urgency=low
  
  The changelog entry for -1 was incomplete and has been merged into -2.

  [ Paul Gevers ]
  * New upstream releases with fixes for:
    - crash while scanning dvd features (upstream svn r4605, closes: #691067)
    - Fixes compilation against libav9 (closes: #701039)
  * Patches applied upstream or obsolete:
    - 0001-libhb-Fix-erroneous-memcpy-used-with-overlapping-mem.patch
    - 0002-Fix-include-with-the-system-s-libav.patch
    - 0007-Fix-for-compilation-with-Debian-s-libbluray.patch
    - 0013-format-security.patch
    - Refreshed other patches
  * debian/control: Make some build-dependencies more explicit
  * Add libavresample-dev to build dep and version the one on libavutil-dev
  
  [ Fabian Greffrath ]
  * Fix FTBFS on hurd-i386, thanks Pino Toscano (Closes: #693012).
  * Add a debian/TODO file to attract potential contributors. ;)
  * Rename handbrake-gtk to handbrake.
  * Remove misleading reference to non-existant Info page for handbrake-cli,
    thanks Helge Kreutzmann (Closes: #696471).

  [ Reinhard Tartler ]
  * add/update patches to allow compilation with unpatched system libraries:
    - 0014-Use-unpatched-a52.patch to unbreak
    - 0017-fixup-libmkv.patch
  * use bzip2 compression
  * upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Mar 2013 17:07:54 +0100

handbrake (0.9.8+dfsg1-2) experimental; urgency=low

  [ Dmitry Smirnov ]
  * adding handbrake-dbg package
  * adding man pages
  * libdvdread4 (>= 4.2.0+20120521-3) to Recommends:
  * removing ccache (obsolete) from Build-depends

  [ Fabian Greffrath ]
  * Versioned recommends are moot, use versioned Breaks instead.

  [ Reinhard Tartler ]
  * Fix version numbering.
    The git snapshot id really needs to be part of the
    upstream version. I'm leaving that out for now to avoid having to
    reroll a new tarball, we'll handle it properly on the next
    upstream version.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Oct 2012 18:28:51 +0200

=== debian/control ===
--- 
+++ 
@@ -13,20 +13,22 @@
 Standards-Version: 3.9.3
 Build-Depends:
  automake,
- ccache,
  debhelper (>= 9),
  intltool,
  liba52-0.7.4-dev,
  libass-dev,
  libavcodec-dev,
  libavformat-dev,
- libavutil-dev,
+ libavutil-dev (>= 6:9),
+ libavresample-dev,
  libbluray-dev,
  libbz2-dev,
  libdbus-glib-1-dev,
  libdca-dev,
  libdvdnav-dev (>= 4.2.0+20120524),
  libdvdread-dev (>= 4.2.0+20120521),
+ libfontconfig1-dev,
+ libfreetype6-dev,
  libgstreamer-plugins-base0.10-dev,
  libgstreamer0.10-dev,
  libgtk2.0-dev,
@@ -35,6 +37,7 @@
  libmp3lame-dev,
  libmpeg2-4-dev,
  libnotify-dev (>= 0.7.3),
+ libogg-dev,
  libsamplerate0-dev,
  libswscale-dev,
  libtheora-dev,
@@ -42,16 +45,48 @@
  libvorbis-dev,
  libwebkit-dev,
  libx264-dev,
+ libxml2-dev,
  python,
  wget,
  yasm
 
-Package: handbrake-cli
+Package: handbrake
 Architecture: any-amd64 any-i386 powerpc
-Pre-Depends: dpkg (>= 1.15.6~)
+Pre-Depends:
+ dpkg (>= 1.15.6~)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends:
+ gstreamer0.10-ffmpeg,
+ gstreamer0.10-x
+Conflicts:
+ handbrake-gtk
+Replaces:
+ handbrake-gtk
+Breaks:
+ libdvdread4 (<< 4.2.0+20120521-3)
+Description: versatile DVD ripper and video transcoder (GTK GUI)
+ HandBrake is a versatile, easy-to-use tool for converting DVDs and other
+ videos into H.264, XViD, or OGG formatted media. It's particularly useful
+ for making videos that are compatible with portable video devices such as
+ the Apple iPod/iPhone or Sony PSP.
+ .
+ This version of handbrake has been modified for inclusion in Debian.
+ It does neither support audio encoding to AAC via faac nor MP4 format
+ muxing via libmp4v2, it falls back to the MKV format instead.
+ .
+ This package contains the graphical variant, ghb.
+
+Package: handbrake-cli
+Architecture: any-amd64 any-i386 powerpc
+Pre-Depends:
+ dpkg (>= 1.15.6~)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ libdvdread4 (<< 4.2.0+20120521-3)
 Description: versatile DVD ripper and video transcoder (command line)
  HandBrake is a versatile, easy-to-use tool for converting DVDs and other
  videos into H.264, XViD, or OGG formatted media.  It's particularly useful
@@ -64,18 +99,17 @@
  .
  This package contains the command-line variant, HandBrakeCLI.
 
-Package: handbrake-gtk
-Architecture: any-amd64 any-i386 powerpc
-Pre-Depends: dpkg (>= 1.15.6~)
+Package: handbrake-dbg
+Section: debug
+Priority: extra
+Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- gstreamer0.10-ffmpeg,
- gstreamer0.10-x
-Description: versatile DVD ripper and video transcoder (GTK GUI)
+ handbrake (= ${binary:Version}),
+ handbrake-cli (= ${binary:Version}),
+ ${misc:Depends}
+Description: handbrake -- debugging symbols
  HandBrake is a versatile, easy-to-use tool for converting DVDs and other
- videos into H.264, XViD, or OGG formatted media. It's particularly useful
+ videos into H.264, XViD, or OGG formatted media.  It's particularly useful
  for making videos that are compatible with portable video devices such as
  the Apple iPod/iPhone or Sony PSP.
  .
@@ -83,4 +117,4 @@
  It does neither support audio encoding to AAC via faac nor MP4 format
  muxing via libmp4v2, it falls back to the MKV format instead.
  .
- This package contains the graphical variant, ghb.
+ This package provides debugging symbols

## handbrake 0.9.9%2Bdfsg

=== debian/watch ===
version=3

http://sf.net/handbrake/HandBrake-([0-9.]+)\.tar\.(?:bz2|xz)

## handbrake 0.9.9+dfsg

=== debian/changelog ===
handbrake (0.9.9+dfsg-2~2.gbpa4c3e9build1) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:55:38 +0000

handbrake (0.9.9+dfsg-2~2.gbpa4c3e9) unstable; urgency=low

  * Make handbrake-dbg architecture field match the other packages
  * Bump standards-version to 3.9.5
  * Use canonical vcs fields

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 18 Dec 2013 16:07:47 +1100

handbrake (0.9.9+dfsg-1~2.gbpa4c3e9) unstable; urgency=low

  [ Rogério Brito ]
  ** SNAPSHOT build @a4c3e9848f6d67c89e3775f1f40d2704a425c54e **

  * Remove gitignore to avoid conflicts with merges from upstream.
  * Imported Upstream version 0.9.9
  * Imported Upstream version 0.9.9+dfsg
  * debian/patches: Refresh all patches.
  * debian/control:
    + Fix order of build-depends.
    + Remove build-dep on wget.
  * debian/patches: Add patch to prepare compilation with gstreamer 1.x.
  * debian/control:
    + Change (build-)deps to gstreamer 1.x.
    + Add recommends on gstreamer1.0-{pulseaudio,alsa}.
    + Add authorship to patch 'use older libmkv'.
    + Remove many patches unreferenced in the series file.

  [ Reinhard Tartler ]
  * Upload to unstable
  * Do not require neither curl nor wget in the build environment.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Nov 2013 21:30:07 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Andres Mejia <amejia@debian.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
 Homepage: http://www.handbrake.fr/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/handbrake.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/handbrake.git;a=summary
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/handbrake.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/handbrake.git;a=summary
+Standards-Version: 3.9.5
 Build-Depends:
  automake,
  debhelper (>= 9),
@@ -19,8 +19,8 @@
  libass-dev,
  libavcodec-dev,
  libavformat-dev,
+ libavresample-dev,
  libavutil-dev (>= 6:9),
- libavresample-dev,
  libbluray-dev,
  libbz2-dev,
  libdbus-glib-1-dev,
@@ -29,8 +29,8 @@
  libdvdread-dev (>= 4.2.0+20120521),
  libfontconfig1-dev,
  libfreetype6-dev,
- libgstreamer-plugins-base0.10-dev,
- libgstreamer0.10-dev,
+ libgstreamer-plugins-base1.0-dev,
+ libgstreamer1.0-dev,
  libgtk2.0-dev,
  libgudev-1.0-dev [linux-any],
  libmkv-dev (>= 0.6.5.1),
@@ -47,7 +47,6 @@
  libx264-dev,
  libxml2-dev,
  python,
- wget,
  yasm
 
 Package: handbrake
@@ -58,8 +57,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- gstreamer0.10-ffmpeg,
- gstreamer0.10-x
+ gstreamer1.0-libav,
+ gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
+ gstreamer1.0-x
 Conflicts:
  handbrake-gtk
 Replaces:
@@ -102,7 +102,7 @@
 Package: handbrake-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: any-amd64 any-i386 powerpc
 Depends:
  handbrake (= ${binary:Version}),
  handbrake-cli (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	./configure --prefix=/usr --build build --debug=std \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9 -Sextreme

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=handbrake-dbg

## handbrake 0.9.9+svn6032+dfsg1

=== debian/changelog ===
handbrake (0.9.9+svn6032+dfsg1-2build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:10:09 +0100

handbrake (0.9.9+svn6032+dfsg1-2build1) utopic; urgency=medium

  * Rebuild against libass5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Aug 2014 16:33:21 +0100

handbrake (0.9.9+svn6032+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/watch: Mangle Debian version.
  * debian/control:
    - Remove Andres Mejia from Uploaders since he is MIA. Thanks Andres for
      maintaining handbrake. (Closes: #743535)
    - Bump B-D on yasm to >= 1.2. (Closes: #743760)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 May 2014 22:43:04 +0200

handbrake (0.9.9+svn6032+dfsg1-1) experimental; urgency=low

  [ Jackson Doak ]
  * Make handbrake-dbg architecture field match the other packages
  * Bump standards-version to 3.9.5
  * Use canonical vcs fields
  * Update changelog

  [ Reinhard Tartler ]
  * New upstream snapshot (based on upstream svn r6022)
  * Tighten build dependency on libdvdnav
  * Dropped patches that no longer apply
  * Refresh and reorganize patches
  * Disable embedded library copies: libmkv, faac and mpv2
  * Add patch to fix linking by adding ldl to LDFLAGS
  * Compile against gtk+3
  * Drop patches that are no longer needed
  * Bump requirement on liba52-0.7.4-dev
  * Compile against libav 10

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Feb 2014 15:17:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Rogério Brito <rbrito@ime.usp.br>,
  Reinhard Tartler <siretart@tauware.de>,
- Andres Mejia <amejia@debian.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
 Homepage: http://www.handbrake.fr/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/handbrake.git
@@ -15,12 +14,12 @@
  automake,
  debhelper (>= 9),
  intltool,
- liba52-0.7.4-dev,
+ liba52-0.7.4-dev (>= 0.7.4-17),
  libass-dev,
- libavcodec-dev,
- libavformat-dev,
- libavresample-dev,
- libavutil-dev (>= 6:9),
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
+ libavresample-dev (>= 6:10~),
+ libavutil-dev (>= 6:10~),
  libbluray-dev,
  libbz2-dev,
  libdbus-glib-1-dev,
@@ -31,7 +30,7 @@
  libfreetype6-dev,
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libgudev-1.0-dev [linux-any],
  libmkv-dev (>= 0.6.5.1),
  libmp3lame-dev,
@@ -47,7 +46,7 @@
  libx264-dev,
  libxml2-dev,
  python,
- yasm
+ yasm (>= 1.2)
 
 Package: handbrake
 Architecture: any-amd64 any-i386 powerpc

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --build build --debug=std \
+		--disable-libmkv \
+	        --disable-faac \
+		--disable-mp4v2 \
+		--disable-fdk-aac \
 		CC="$(CC)" CXX="$(CXX)" \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

## handbrake 0.9.9+svn6422+dfsg1

=== debian/changelog ===
handbrake (0.9.9+svn6422+dfsg1-2) unstable; urgency=medium

  * debian/control:
    - Fix capitalization of Ogg. (Closes: #754142)
    - Fix spelling of GTK+.
  * debian/patches:
    - 004-link-pthread.patch: Link with pthread on kfreebsd-*. Thanks to Petr
      Salinger for the patch. (Closes: #730976)
    - 005-use-libtoolize.patch: Check for libtoolize instead of
      libtool. (Closes: #761757)
    - 006-add-video-ogg.patch: Add video/ogg to list of mime types in desktop
      file. (Closes: #763175)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Oct 2014 17:31:19 +0200

handbrake (0.9.9+svn6422+dfsg1-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove obsolete paragraph about lacking encoding and muxing
    capabilities from package descriptions, remove debian/TODO
    likewise (Closes: #749163).

  [ Sebastian Ramacher ]
  * New upstream snapshot based on revision 6422.
  * debian/control:
    - Drop libmkv-dev from Build-Depends. As of 0.9.9+svn6032+dfsg1-1 it is
      not used anymore.
    - Remove libwebkit-dev from Build-Depens. HandBrake is now built without
      update checks that requires WebKit.
    - Bump libdvdnav-dev in Build-Depends to >= 4.9.0.
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.6. No changes required.
  * debian/rules:
    - Remove obsolete configure flags.
    - Build with --disable-gtk-update-checks and --disable-x265. x265 is not
      packaged yet.
    - Pass CPPFLAGS to configure.
    - Remove obsolete overrides.
  * debian/patches:
    - Refresh patches.
    - 004-link-fix-add-ldl.patch: Removed, no longer needed.
    - 003-remove-vpx.patch: Do not link against libvpx. Everything is handled
      by libav and none of libvpx's symbols are used.
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Sep 2014 17:31:28 +0200

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Rogério Brito <rbrito@ime.usp.br>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Sebastian Ramacher <sramacher@debian.org>
Homepage: http://www.handbrake.fr/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/handbrake.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/handbrake.git;a=summary
Standards-Version: 3.9.6
Build-Depends:
 automake,
 debhelper (>= 9),
 cmake,
 intltool,
 liba52-0.7.4-dev (>= 0.7.4-17),
 libass-dev,
 libavcodec-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavresample-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libbluray-dev,
 libbz2-dev,
 libdbus-glib-1-dev,
 libdca-dev,
 libdvdnav-dev (>= 4.9.0),
 libdvdread-dev (>= 4.2.0+20120521),
 libfontconfig1-dev,
 libfreetype6-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libgudev-1.0-dev [linux-any],
 libmp3lame-dev,
 libmpeg2-4-dev,
 libnotify-dev (>= 0.7.3),
 libogg-dev,
 libsamplerate0-dev,
 libswscale-dev,
 libtheora-dev,
 libtool,
 libvorbis-dev,
 libx264-dev,
 libxml2-dev,
 python,
 yasm (>= 1.2)

Package: handbrake
Architecture: any-amd64 any-i386 powerpc
Pre-Depends:
 dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer1.0-libav,
 gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
 gstreamer1.0-x
Conflicts:
 handbrake-gtk
Replaces:
 handbrake-gtk
Breaks:
 libdvdread4 (<< 4.2.0+20120521-3)
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any-amd64 any-i386 powerpc
Pre-Depends:
 dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libdvdread4 (<< 4.2.0+20120521-3)
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

Package: handbrake-dbg
Section: debug
Priority: extra
Architecture: any-amd64 any-i386 powerpc
Depends:
 handbrake (= ${binary:Version}),
 handbrake-cli (= ${binary:Version}),
 ${misc:Depends}
Description: handbrake -- debugging symbols
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	./configure --prefix=/usr --build build --debug=std \
		--disable-fdk-aac \
		--disable-x265 \
		--disable-gtk-update-checks \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=handbrake-dbg

DEB_DEBIAN_DIR = $(dir $(firstword $(MAKEFILE_LIST)))
DEB_VERSION_UPSTREAM = $(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog -SVersion \
                               | sed -rne 's,^(.+).*\-[^-]*$$,\1,p')
REV = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -rne 's,^[^+]*\+svn([0-9]*)\+.*$$,\1,p')

get-orig-source:
	REPACK_TMPDIR=`mktemp -d` && \
	svn co -r $(REV) svn://svn.handbrake.fr/HandBrake/trunk \
		$$REPACK_TMPDIR/handbrake-$(DEB_VERSION_UPSTREAM) && \
	rm -rf $$REPACK_TMPDIR/handbrake-$(DEB_VERSION_UPSTREAM)/contrib \
		$$REPACK_TMPDIR/handbrake-$(DEB_VERSION_UPSTREAM)/macosx \
		$$REPACK_TMPDIR/handbrake-$(DEB_VERSION_UPSTREAM)/win \
		$$REPACK_TMPDIR/handbrake-$(DEB_VERSION_UPSTREAM)/.svn && \
	tar -C $$REPACK_TMPDIR --owner 0 --group 0 --numeric-owner \
		-caf $$REPACK_TMPDIR/handbrake_$(DEB_VERSION_UPSTREAM).orig.tar.xz \
		handbrake-$(DEB_VERSION_UPSTREAM) && \
	mv $$REPACK_TMPDIR/handbrake_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(CURDIR) && \
	rm -rf $$REPACK_TMPDIR

=== debian/watch ===
version=3
opts=dversionmangle=s/\+svn\d+\+dfsg\d+$// \
http://sf.net/handbrake/HandBrake-([0-9.]+)\.tar\.(?:bz2|xz)

## handbrake 0.10.1+ds1

=== debian/changelog ===
handbrake (0.10.1+ds1-2build2) wily; urgency=medium

  * No change rebuild for libx265-59

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 13:49:22 -0500

handbrake (0.10.1+ds1-2build1) wily; urgency=medium

  * No change rebuild for new x264 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 12 May 2015 22:06:56 -0500

handbrake (0.10.1+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 09:47:05 +0200

handbrake (0.10.1+ds1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Remove unused Build-Depends.
  * debian/watch: Update for new download location.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Mar 2015 00:58:47 +0100

handbrake (0.10.0+dfsg1-2) experimental; urgency=medium

  * Enable x265 support (Closes: #773939)
    - debian/control: Add libx265-dev to Build-Depends.
    - debian/rules: Build with --enable-x265.
    - debian/patches: Refresh patches patches for x265 support.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Dec 2014 19:44:21 +0100

handbrake (0.10.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    - Removed 004-link-pthread.patch and 006-add-video-ogg.patch. Both were
      applied upstream.
    - Refresh 005-use-libtoolize.patch. Parts were applied upstream.
  * debian/{gbp.conf,control}: Work in experimental branch.
  * debian/{copyright,rules}: Use uscan to repack upstream tarball.
  * debian/watch: Adopt Debian version scheme.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 26 Nov 2014 15:31:56 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  debhelper (>= 9),
  cmake,
  intltool,
- liba52-0.7.4-dev (>= 0.7.4-17),
  libass-dev,
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
@@ -25,7 +24,6 @@
  libbluray-dev,
  libbz2-dev,
  libdbus-glib-1-dev,
- libdca-dev,
  libdvdnav-dev (>= 4.9.0),
  libdvdread-dev (>= 4.2.0+20120521),
  libfontconfig1-dev,
@@ -44,6 +42,7 @@
  libtool,
  libvorbis-dev,
  libx264-dev,
+ libx265-dev,
  libxml2-dev,
  python,
  yasm (>= 1.2)

## handbrake 0.10.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  Sebastian Ramacher <sramacher@debian.org>
 Homepage: http://www.handbrake.fr/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/handbrake.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/handbrake.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/handbrake.git
 Standards-Version: 3.9.6
 Build-Depends:
  automake,
- debhelper (>= 9),
+ debhelper (>= 9.20151219),
  cmake,
  intltool,
  libass-dev,
@@ -49,8 +49,6 @@
 
 Package: handbrake
 Architecture: any-amd64 any-i386 powerpc
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -58,12 +56,6 @@
  gstreamer1.0-libav,
  gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
  gstreamer1.0-x
-Conflicts:
- handbrake-gtk
-Replaces:
- handbrake-gtk
-Breaks:
- libdvdread4 (<< 4.2.0+20120521-3)
 Description: versatile DVD ripper and video transcoder (GTK+ GUI)
  HandBrake is a versatile, easy-to-use tool for converting DVDs and other
  videos into H.264, XViD, or Ogg formatted media. It's particularly useful
@@ -74,13 +66,9 @@
 
 Package: handbrake-cli
 Architecture: any-amd64 any-i386 powerpc
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- libdvdread4 (<< 4.2.0+20120521-3)
 Description: versatile DVD ripper and video transcoder (command line)
  HandBrake is a versatile, easy-to-use tool for converting DVDs and other
  videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
@@ -88,19 +76,3 @@
  the Apple iPod/iPhone or Sony PSP.
  .
  This package contains the command-line variant, HandBrakeCLI.
-
-Package: handbrake-dbg
-Section: debug
-Priority: extra
-Architecture: any-amd64 any-i386 powerpc
-Depends:
- handbrake (= ${binary:Version}),
- handbrake-cli (= ${binary:Version}),
- ${misc:Depends}
-Description: handbrake -- debugging symbols
- HandBrake is a versatile, easy-to-use tool for converting DVDs and other
- videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
- for making videos that are compatible with portable video devices such as
- the Apple iPod/iPhone or Sony PSP.
- .
- This package provides debugging symbols

## handbrake 0.10.2+ds1

=== debian/changelog ===
handbrake (0.10.2+ds1-2build1) xenial; urgency=medium

  * No-change rebuild for x265 transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 09:46:20 +0000

handbrake (0.10.2+ds1-2) unstable; urgency=medium

  * Migrate to automatic dbg packages.
    - debian/control:
      + Bump B-D on debhelper to (>= 9.20151219).
      + Remove handbrake-dbg.
    - debian/rules: Run dh_strip with --ddeb-migration.
  * debian/control:
    - Update Vcs-Browser.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2015 22:07:50 +0100

handbrake (0.10.2+ds1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Remove obsolete Breaks, Replaces and Conflicts.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Jun 2015 21:23:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	./configure --prefix=/usr --build build --debug=std \
		--disable-fdk-aac \
		--enable-x265 \
		--disable-gtk-update-checks \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --ddeb-migration='handbrake-dbg (<< 0.10.2+ds1-2~)'

=== debian/watch ===
version=3
opts="dversionmangle=s/(\+svn\d+)?\+ds\d+$//,filenamemangle=s/rotation\.php\?file=//,repacksuffix=+ds1" \
https://handbrake.fr/downloads.php \
.*file=HandBrake-([0-9.]+)\.tar\.(?:bz2|xz)

## handbrake 0.10.5+ds1

=== debian/changelog ===
handbrake (0.10.5+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Apr 2016 20:46:08 +0200

handbrake (0.10.5+ds1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Remove dh_strip and dh_install override.
  * debian/copyright: Update copyright years.
  * debian/patches: Refreshed.
  * debian/control:
    - Bump Standards-Version.
    - Bump ffmpeg related B-D to >= 7:3.0~.
    - Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Apr 2016 19:41:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Homepage: http://www.handbrake.fr/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/handbrake.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/handbrake.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/handbrake.git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
  automake,
  debhelper (>= 9.20151219),
  cmake,
  intltool,
  libass-dev,
- libavcodec-dev (>= 6:10~),
- libavformat-dev (>= 6:10~),
- libavresample-dev (>= 6:10~),
- libavutil-dev (>= 6:10~),
+ libavcodec-dev (>= 7:3.0~),
+ libavformat-dev (>= 7:3.0~),
+ libavresample-dev (>= 7:3.0~),
+ libavutil-dev (>= 7:3.0~),
  libbluray-dev,
  libbz2-dev,
  libdbus-glib-1-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,5 @@
 		CC="$(CC)" CXX="$(CXX)" \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 
-override_dh_install:
-	dh_install --list-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
-
-override_dh_strip:
-	dh_strip --ddeb-migration='handbrake-dbg (<< 0.10.2+ds1-2~)'

## handbrake 1.0.3+ds1

=== debian/changelog ===
handbrake (1.0.3+ds1-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove Rogério Brito from Uploaders. Thanks for all your
      work on handbrake! (Closes: #833172)
    - Switch to any-powerpc. (Closes: #832072)
    - B-D on libavfilter-dev.
    - B-D on libvpx-dev and libopus-dev to avoid patching upstream build
      system.
  * debian/rules: Update path to NEWS.
  * debian/{compat,control}: Bump debhelper compat to 10.
  * debian/copyright: Update copyright years and remove unused paragraphs.

  [ Fabian Greffrath ]
  * New upstream version. (Closes: #850446)
    - Build reproducibly. (Closes: #834192)
  * Add Build-Depends: libjansson-dev.
  * Disable distfile downloads and data verification in configure call.
  * Disable 001 and 003 patches, refresh 005 patch, force-refresh 002 patch.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Mar 2017 11:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Rogério Brito <rbrito@ime.usp.br>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Sebastian Ramacher <sramacher@debian.org>
@@ -13,15 +12,16 @@
 Standards-Version: 3.9.8
 Build-Depends:
  automake,
- debhelper (>= 9.20151219),
  cmake,
+ debhelper (>= 10),
  intltool,
  libass-dev,
- libavcodec-dev (>= 7:3.0~),
- libavformat-dev (>= 7:3.0~),
- libavresample-dev (>= 7:3.0~),
- libavutil-dev (>= 7:3.0~),
- libbluray-dev,
+ libavcodec-dev (>= 7:3.0),
+ libavfilter-dev (>= 7:3.0),
+ libavformat-dev (>= 7:3.0),
+ libavresample-dev (>= 7:3.0),
+ libavutil-dev (>= 7:3.0),
+ libbluray-dev (>= 1:1.0.0),
  libbz2-dev,
  libdbus-glib-1-dev,
  libdvdnav-dev (>= 4.9.0),
@@ -32,15 +32,18 @@
  libgstreamer1.0-dev,
  libgtk-3-dev,
  libgudev-1.0-dev [linux-any],
+ libjansson-dev,
  libmp3lame-dev,
  libmpeg2-4-dev,
  libnotify-dev (>= 0.7.3),
  libogg-dev,
+ libopus-dev,
  libsamplerate0-dev,
  libswscale-dev,
  libtheora-dev,
  libtool,
  libvorbis-dev,
+ libvpx-dev,
  libx264-dev,
  libx265-dev,
  libxml2-dev,
@@ -48,7 +51,7 @@
  yasm (>= 1.2)
 
 Package: handbrake
-Architecture: any-amd64 any-i386 powerpc
+Architecture: any-amd64 any-i386 any-powerpc
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -65,7 +68,7 @@
  This package contains the graphical variant, ghb.
 
 Package: handbrake-cli
-Architecture: any-amd64 any-i386 powerpc
+Architecture: any-amd64 any-i386 any-powerpc
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## handbrake 1.0.7+ds1

=== debian/changelog ===
handbrake (1.0.7+ds1-2build1) artful; urgency=medium

  * No-change rebuild against libx265-130

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Aug 2017 06:38:14 +0000

handbrake (1.0.7+ds1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Jul 2017 18:31:08 +0200

handbrake (1.0.7+ds1-1) experimental; urgency=medium

  * New upstream version.
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Apr 2017 20:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: handbrake
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Sebastian Ramacher <sramacher@debian.org>
-Homepage: http://www.handbrake.fr/
+Homepage: https://handbrake.fr/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/handbrake.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/handbrake.git
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends:
  automake,
  cmake,

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 	./configure --prefix=/usr --build build --debug=std \
 		--disable-fdk-aac \
 		--enable-x265 \
+		--disable-df-fetch \
+		--disable-df-verify \
 		--disable-gtk-update-checks \
 		CC="$(CC)" CXX="$(CXX)" \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.markdown

## handbrake 1.0.7.ds1

=== debian/changelog ===
handbrake (1.0.7.ds1-1~bpo8) jessie; urgency=medium

  * Rebuild for Debian 8 (Jessie).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Apr 2017 15:08:57 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: handbrake
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
@@ -10,7 +11,7 @@
 Homepage: https://handbrake.fr/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/handbrake.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/handbrake.git
-Standards-Version: 4.0.0
+Standards-Version: 3.9.8
 Build-Depends:
  automake,
  cmake,

## handbrake 1.1.0+ds1

=== debian/changelog ===
handbrake (1.1.0+ds1-1ubuntu1) bionic; urgency=medium

  * Relax build dependencies on ffmpeg.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Apr 2018 08:16:39 +0200

handbrake (1.1.0+ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fix build with ffmpeg 4.0. (Closes: #888368)
  * debian/copyright: Document copyright of graphics/*.
  * debian/patches: Refresh patches.
  * debian/control:
    - Bump Standards-Version
    - Update ffmpeg related build dependencies.
    - Add nasm to build dependencies.
  * debian/: Bump debhelper compat version to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Apr 2018 21:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: handbrake
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Homepage: https://handbrake.fr/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/handbrake.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/handbrake.git
-Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
+Standards-Version: 4.1.4
 Build-Depends:
  automake,
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  intltool,
  libass-dev,
- libavcodec-dev (>= 7:3.0),
- libavfilter-dev (>= 7:3.0),
- libavformat-dev (>= 7:3.0),
- libavresample-dev (>= 7:3.0),
- libavutil-dev (>= 7:3.0),
+ libavcodec-dev (>= 7:3.4~),
+ libavfilter-dev (>= 7:3.4~),
+ libavformat-dev (>= 7:3.4~),
+ libavresample-dev (>= 7:3.4~),
+ libavutil-dev (>= 7:3.4~),
  libbluray-dev (>= 1:1.0.0),
  libbz2-dev,
  libdbus-glib-1-dev,
@@ -41,7 +39,7 @@
  libogg-dev,
  libopus-dev,
  libsamplerate0-dev,
- libswscale-dev,
+ libswscale-dev (>= 7:3.4~),
  libtheora-dev,
  libtool,
  libvorbis-dev,
@@ -50,6 +48,7 @@
  libx265-dev,
  libxml2-dev,
  python,
+ nasm (>= 2.13),
  yasm (>= 1.2)
 
 Package: handbrake

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-LDFLAGS += -Wl,-z,defs -Wl,--as-needed
+LDFLAGS += -Wl,-z,defs
+LDFLAGS += -Wl,--as-needed
 
 %:
 	dh $@ --builddirectory=build

=== debian/watch ===
version=4
opts="dversionmangle=s/(\+svn\d+)?\+ds\d+$//,filenamemangle=s/-source//,repacksuffix=+ds1" \
https://download.handbrake.fr/releases/([\d][\d\.]+)/HandBrake-([\d][\d\.]+)-source\.tar\.bz2

## handbrake 1.1.1+ds1

=== debian/changelog ===
handbrake (1.1.1+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Jul 2018 14:42:23 +0200

handbrake (1.1.1+ds1-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jun 2018 19:07:33 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
  debhelper (>= 11),
  intltool,
  libass-dev,
- libavcodec-dev (>= 7:3.4~),
- libavfilter-dev (>= 7:3.4~),
- libavformat-dev (>= 7:3.4~),
- libavresample-dev (>= 7:3.4~),
- libavutil-dev (>= 7:3.4~),
+ libavcodec-dev (>= 7:3.5~),
+ libavfilter-dev (>= 7:3.5~),
+ libavformat-dev (>= 7:3.5~),
+ libavresample-dev (>= 7:3.5~),
+ libavutil-dev (>= 7:3.5~),
  libbluray-dev (>= 1:1.0.0),
  libbz2-dev,
  libdbus-glib-1-dev,
@@ -39,7 +39,7 @@
  libogg-dev,
  libopus-dev,
  libsamplerate0-dev,
- libswscale-dev (>= 7:3.4~),
+ libswscale-dev (>= 7:3.5~),
  libtheora-dev,
  libtool,
  libvorbis-dev,
